---
title: eSign Status
description: This API is for checking the status of eSign.
---

This API is for checking the status of eSign. After processing this api, we can get the status of esign as completed or not. If it’s completed, it will also save the signed document and return the pdf URL.

## POST

```
https://kraken.airpay.co.in/airpay/ms/esign/api/get-esign-status
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field     | Type         | Required | Description                                                   |
| --------- | ------------ | -------- | ------------------------------------------------------------- |
| txn_id    | Alphanumeric | Yes      | Transaction ID (max 10)                                       |
| mobile_no | Numeric      | No       | Mobile number (length 10)                                     |
| docrefid  | Alphanumeric | Yes      | Document reference ID (length 7). Will be provided by Airpay. |

## Request-Example:

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/get-esign-status' \
 --header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
 --header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
 --header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
 --form 'txn_id="1058"'\
--form 'docrefid="YPRWUAW"'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | Status code (length 3) |
| message | Text | Message<br>Success - 200 (The transaction is success)<br>Transaction in Process - 211 (The transaction is processing)<br>Failed - 400 (The transaction is failed)<br>Dropped - 401 (The transaction will not register properly)<br>Cancel - 402 (payment that has not yet been processed)<br>Incomplete - 403 (Not recieved any call back from bank)<br>Bounced - 405 (The transaction has bounced)<br>No Records - 503 (There are no records found) |
| signed_document | Text | This will provide the signed document |
| esignType | Text | esign type is nothing but what identifies whether the esigned agreement contains a single or multiple signature. |
| name | Text | Name of the customer |
| last4digit | Numeric | aadhar card number last 4 digit |
| state | Text | Name of state |
| postalCode | Numeric | Postal code |
## Success-Response:

```
HTTP/1.1 200 OK
{
         "status": 200,
         "signed_document": " https://test_esign.airpay.co.in/docRequest/eyJpdiI6IkVmRGJuV0Zob2ttYWo1WWNnUENcL3lBPT0iLCJ2YWx1ZSI6InF3Qllsc3EzM2ZUYWQ0c0RzTm5COWc9PSIsIm1hYyI6ImNiNWUzYjI2ZTA2ZjJjZTIzNTBkZjQ4NDZkZTYxY2FiMTY4YzI5NjhjNDQ4NjhkMGIxNWY4NGE1Y2M5NDRiYzUifQ==",
         "message": "eSign is already completed for this user",
         "esignType": "Single",
          "name": "Kuldip Kumar",
          "last4digit": "0000",
          "state": "kerala",
          "postalCode": "202000"
}
```
## Error-Response:

```
HTTP/1.1 400 Failed
 {
     "status": 400,
     "message": "eSign is not completed for this user"
 }
```